Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 158206 - indexing support enhancements
indexing support enhancements
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
6.x
All All
: P2 (vote)
: 6.x
Assigned To: issues@editor
issues@editor
: API
Depends on:
Blocks: 148723
  Show dependency treegraph
 
Reported: 2009-02-09 15:06 UTC by Stanislav Aubrecht
Modified: 2009-03-28 20:47 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Aubrecht 2009-02-09 15:06:07 UTC
the current version of indexing support in indexing api allows access through source roots only. however task list
doesn't know any project source root except for the generic one which is the whole project folder.
task list needs the load cached data for main/current project, all opened projects, all opened files (and possibly an
arbitrary package/folder)
Comment 1 Vitezslav Stejskal 2009-03-27 13:46:32 UTC
http://hg.netbeans.org/jet-main/rev/89ef0fb628d9
Comment 2 Vitezslav Stejskal 2009-03-27 13:48:45 UTC
There are two new methods: QuerySupport.findRoots(FileObject, ...) and QuerySupport.findRoots(Project, ...)
Comment 3 Quality Engineering 2009-03-28 20:47:01 UTC
Integrated into 'main-golden', will be available in build *200903281400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/89ef0fb628d9
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #158206: moving generaly useful findRoots methods from GsfUtilities to QuerySupport in Parsing & Indexing API


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo